body {
  font-family: 'Saira Extra Condensed';
  padding-top: 54px;
  /* color: #868e96; */
  color: black;
}

@media (min-width: 992px) {
  body {
    padding-top: 0;
    padding-left: 17rem;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  /* font-family: 'Saira Extra Condensed'; */
  font-family: Arial, Helvetica, sans-serif;
  font-weight: 700;
  text-transform: uppercase;
  color: #343a40;
}

h1 {
  font-size: 6rem;
  line-height: 5.5rem;
}

h2 {
  font-size: 3.5rem;
}

h3 {
  font-size: 2rem;
}

p.lead {
  font-size: 1.15rem;
  font-weight: 400;
}

.subheading {
  text-transform: uppercase;
  font-weight: 500;
  font-family: 'Saira Extra Condensed';
  font-size: 1.5rem;
}

.social-icons a {
  display: inline-block;
  height: 3.5rem;
  width: 3.5rem;
  background-color: #80ced6;
  color: #fff !important;
  border-radius: 100%;
  text-align: center;
  font-size: 1.5rem;
  line-height: 3.5rem;
  margin: 1rem;
}

.social-icons a:last-child {
  margin-right: 0;
}

.social-icons a:hover {
  background-color: #f18973;
  /* background-color: #BD5D38; */
}

.dev-icons {
  font-size: 3rem;
  color: #868e96;
}

.dev-icons .list-inline-item i:hover {
  color: #BD5D38;
}

#sideNav .navbar-nav .nav-item .nav-link {
  font-weight: 800;
  letter-spacing: 0.05rem;
  text-transform: uppercase;
}

#sideNav .nav-link:hover {
  color: #f18973;
}

#sideNav .navbar-toggler:focus {
  outline-color: #d48a6e;
}

@media (min-width: 992px) {
  #sideNav {
    text-align: center;
    position: fixed;
    top: 0;
    left: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 17rem;
    height: 100vh;
  }
  #sideNav .navbar-brand {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: auto auto 0;
    padding: 0.5rem;
  }
  #sideNav .navbar-brand .img-profile {
    max-width: 10rem;
    max-height: 10rem;
    border: 0.5rem solid rgba(255, 255, 255, 0.2);
  }
  #sideNav .navbar-collapse {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    -webkit-box-flex: 0;
    -ms-flex-positive: 0;
    flex-grow: 0;
    width: 100%;
    margin-bottom: auto;
  }
  #sideNav .navbar-collapse .navbar-nav {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
  }
  #sideNav .navbar-collapse .navbar-nav .nav-item {
    display: block;
  }
  #sideNav .navbar-collapse .navbar-nav .nav-item .nav-link {
    display: block;
  }
}

section.resume-section {
  padding-top: 5rem !important;
  padding-bottom: 5rem !important;
  max-width: 75rem;
}

section.resume-section .resume-item .resume-date {
  min-width: none;
}

@media (min-width: 768px) {
  section.resume-section {
    min-height: 100vh;
  }
  section.resume-section .resume-item .resume-date {
    min-width: 18rem;
  }
}

@media (min-width: 992px) {
  section.resume-section {
    padding-top: 3rem !important;
    padding-bottom: 3rem !important;
  }
}

.bg-primary {
  background-color: #80ced6 !important;
  /* background-color: #BD5D38 !important; */
}

.text-primary {
  color: #80ced6 !important;
  /* color: #BD5D38 !important; */
}

a {
  color: #80ced6;
  /* color: #BD5D38; */
}

a:hover, a:focus, a:active {
  /* color: #80ced6; */
  color: #f18973;
}

@import url("/?originalUrl=https%3A%2F%2Ffonts.googleapis.com%2Fcss%3Ffamily%3DFredoka%2BOne");

#store {
  animation: fadeIn 0.8s ease-in;
}

.border-animation {
  background-color: white;
  border-radius: 10px;
  position: relative;
}

.border-animation:after {
  content: "";
  background: linear-gradient(45deg, #80ced6 48.9%,  #f18973 49%);
  background-size: 300% 300%;
  border-radius: 10px;
  position: absolute;
  top: -5px;
  left: -5px;
  height: calc(100% + 10px);
  width: calc(100% + 10px);
  z-index: -1;
  animation: borderGradient 8s linear both infinite;
}

@keyframes borderGradient {
  0%,
  100% {
    background-position: 0% 100%;
  }
  50% {
    background-position: 100% 0%;
  }
}

@keyframes fadeIn {
  to {
    opacity: 1;
  }
}

#browser {
  transform: translateY(-100%);
  -webkit-animation: moveDown 1.5s cubic-bezier(0.77, -0.5, 0.3, 1.5) forwards;
  animation: moveDown 1.5s cubic-bezier(0.77, -0.5, 0.3, 1.5) forwards;
}

@keyframes moveDown {
  from {
    transform: translate(0, -100%);
  }
  to {
    transform: translate(0, 0);
  }
}

.card-container {
  display: grid;
  perspective: 700px;
}

.card-flip {
  display: grid;
  /* width: 18rem; */
  grid-template: 1fr / 1fr;
  grid-template-areas: "frontAndBack";
  transform-style: preserve-3d;
  transition: all 0.7s ease;
}

.card-flip div {
  backface-visibility: hidden;
  transform-style: preserve-3d;
}

.card-img-top {
  height:250px;
  width:100%;
  object-fit: cover;
}

.card-front {
  grid-area: frontAndBack;
}

.card-back {
  grid-area: frontAndBack;
  /* border: 1px solid #343a40; */
  transform: rotateY(-180deg);
  padding: 5%;
}

.card-text, .card-title {
  text-align: center;
}

.card-container:hover .card-flip {
  transform: rotateY(180deg);
}

.card-footer {
  background-color: white;
}

.footer-copyright {
  color: #80ced6;
}

.footer-social-icons {
  color: #80ced6;
}

.icon-imgs {
  width: 128px;
  height: 128px;
}

.skills {
  padding: 20px;
  display: flex;
  justify-content: space-around;
}

.skill {
  margin: 1rem;
  padding: 20px;
  text-align: center;
}


.skill h4 {
  color: #80ced6;
}

.skill p {
  line-height:5px;
}

.responsive-iframe {
  width: 100%;
  max-width: 560px; /* Original width */
  height: auto;
  aspect-ratio: 16/9;
}

.snow {
  color: white;
  font-size: 3em;
}

@keyframes fall {
  0% {
    top: -20%;
  }
  100% {
    top: 100%;
  }
}

.flake {
  position: fixed;
  top: -20%;
  animation: fall 10s linear infinite;
}

.flake:nth-last-of-type(0) {
  left: 0%;
  animation-delay: 0s;
}

.flake:nth-last-of-type(1) {
  left: 0%;
  animation-delay: 0s;
}

.flake:nth-last-of-type(2) {
  left: 10%;
  animation-delay: 3s;
}

.flake:nth-last-of-type(3) {
  left: 20%;
  animation-delay: 5s;
}

.flake:nth-last-of-type(4) {
  left: 30%;
  animation-delay: 2s;
}

.flake:nth-last-of-type(5) {
  left: 40%;
  animation-delay: 1s;
}

.flake:nth-last-of-type(6) {
  left: 50%;
  animation-delay: 4s;
}

.flake:nth-last-of-type(7) {
  left: 60%;
  animation-delay: 3s;
}

.flake:nth-last-of-type(8) {
  left: 70%;
  animation-delay: 2s;
}

.flake:nth-last-of-type(9) {
  left: 80%;
  animation-delay: 0s;
}

.flake:nth-last-of-type(10) {
  left: 90%;
  animation-delay: 6s;
}